import processing.serial.*;
Serial myPort;        // The serial port
float inByteA = 0;
float inByteB = 0;

String[] valeurs;

void setup () {
  size(510, 510);

  println(Serial.list());
  myPort = new Serial(this, Serial.list()[5], 9600);
  myPort.bufferUntil('\n');
  background(0);
}
void draw () {
  //background(0);
  ellipseMode(CENTER);
  noStroke();
  ellipse(inByteA*2,inByteB*2,10,10);
}
void serialEvent (Serial myPort) {
  // get the ASCII string:
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    inString = trim(inString);
    
    valeurs = split(inString,',');
    
    inByteA = float(valeurs[0]);
    inByteB = float(valeurs[1]);
    /*
    print("potA = ");
    println(inByteA);
    print("potB = ");
    println(inByteB);
    */
  }
}

void keyPressed(){
 background(0); 
}